## view.page
Class RegistrationPage

    java.lang.Object
      view.GoResponse
          view.page.GoPage
              view.page.RegistrationPage

    public class RegistrationPage

extends GoPage

Nested Class Summary
`private static class` `RegistrationPage.DaySelect` A class for a day selection element.
`private static class` `RegistrationPage.DiscountJavascript` A class for a Javascript code to automatically update entry fee fields as the discount selection changes.
`private class` `RegistrationPage.DiscountTable` A class for a discount selection table.
`private static class` `RegistrationPage.EntryDataJavascript` A Javascript code for including entry data in the code.
`private class` `RegistrationPage.EntryForm` A class for the entry form element.
`private class` `RegistrationPage.EntryTable` A class for a table to list all entries.
`private static class` `RegistrationPage.MonthSelect` A class for a month selection element.
`private class` `RegistrationPage.RankSelect` A class for a rank selection element.

Constructor Summary
`RegistrationPage(boolean logged, Tournament tournament, boolean pre, Entry entry, boolean edit, Tournament.EntryComparator.SortBy sort_by, boolean printable)` Constructs the page.
`RegistrationPage(boolean logged, Tournament tournament, boolean pre, Tournament.EntryComparator.SortBy sort_by, boolean printable)` As above but by default an empty form for adding a new (pre-)entry.

Method Summary

Methods inherited from class view.page.GoPage
`getContent, getSource, getSource, setOnLoad, setTitleText`

Methods inherited from class view.GoResponse
`addCookie, getCookies`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RegistrationPage

    public RegistrationPage(boolean logged,
                            Tournament tournament,
                            boolean pre,
                            Entry entry,
                            boolean edit,
                            Tournament.EntryComparator.SortBy sort_by,
                            boolean printable)

  Constructs the page.

  Parameters:
    `logged` - if true, creates the page for administrator.
    `tournament` - the tournament of the registration.
    `pre` - if true, craetes the page for pre-registration, otherwise for final registration.
    `entry` - an entry to prefill the entry form with.
    `edit` - if true, displays a form for editing, otherwise for adding a new entry.
    `sort_by` - entry list sorting method.
    `printable` - if true, displays only a single printable table of entries.

### RegistrationPage

    public RegistrationPage(boolean logged,
                            Tournament tournament,
                            boolean pre,
                            Tournament.EntryComparator.SortBy sort_by,
                            boolean printable)

  As above but by default an empty form for adding a new (pre-)entry.